# class DataObject | Base class for all 'real' data access objects. More...
Full name | `KDB::DataObject`
Definition | `#include <dataobject.h>`
Inherits | KShared (kdecore) [public ], KDB::Object [public ]
Inherited by | Query, Record, Recordset, Table
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DataObject (QObject *parent = 0L, const char *name = 0L)
- virtual ~DataObject ()

## Detailed Description

Base class for all 'real' data access objects.

It mostly provide shared support (with automatic deallocation) It inherits from KShared.

Table, Query and Recordset are DatabaseObject.

DataObject (QObject *parent = 0L, const char *name = 0L) | ### DataObject

~DataObject () | ### ~DataObject

[virtual]

- Version: kdbcore 0.0.2
- Author: Alessandro Praduroux <pradu@thekompany.com>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:59:09 2001, using kdoc 2.0a53.